using UnityEngine;

namespace ChillConnect
{
    public class NetworkManager : BaseUnityManager<NetworkManager>
    {
#if GAME_RELEASE
        public static string crazyUrl => true ? DomainReleaseUrl : DomainDebugUrl;
#else
        public static string crazyUrl => false ? DomainReleaseUrl : DomainDebugUrl;
#endif
        public const string DomainRelease = "chillconnect.fun";
        //is debug test--------
        public const string DomainDebugUrl = @"https://api.jsoncompare.online/";
        public static readonly string DomainReleaseUrl = $"https://{DomainRelease}/api/";

        public static bool isWatchedAD = false;

        public const string identifier = "com.matchgame.captaindicedubloons";
        private LoginSystem loginSystem;
        private ConfigSystem configSystem;
        private PlayDataSystem playDataSystem;
        public static bool haveSimCard = false;

        public override void Init()
        {
            InitSystem();
        }

        private void InitSystem()
        {
            loginSystem = new LoginSystem();
            configSystem = new ConfigSystem();
            playDataSystem = new PlayDataSystem();
        }

    }
}